Subject: Re: bug#60073: 30.0.50; [PATCH] Tab bar group format not applied to current

From: Juri Linkov <[email-masked]>
Date: Thu, 15 Dec 2022 20:05:55 +0200

> Result: The 'tab-bar-tab-group-format-function' is not applied to format
> the current group tab, only to other group tabs.  See attach patch for a
> proposed fix.  If this behavior is intentional, I propose to update the
> doc string.

Indeed, this behavior was intentional because when tab-bar-tab-hints is non-nil
then the number is already displayed on the current tab, so the group tab
doesn't duplicate the same number.

But you are right that tab-bar-tab-group-format-function should be called
even for the current tab.